| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::Client::ChannelTypeFileTransferInterface Class Reference
Client-side proxies » Channel proxies

`#include <TelepathyQt/Channel>`

Inheritance diagram for Tp::Client::ChannelTypeFileTransferInterface:
[legend]

## Public Slots

QDBusPendingReply< QDBusVariant > | AcceptFile (uint addressType, uint accessControl, const QDBusVariant &accessControlParam, qulonglong offset, int timeout=-1)
QDBusPendingReply< QDBusVariant > | ProvideFile (uint addressType, uint accessControl, const QDBusVariant &accessControlParam, int timeout=-1)

## Signals

void | FileTransferStateChanged (uint state, uint reason)
void | TransferredBytesChanged (qulonglong count)
void | InitialOffsetDefined (qulonglong initialOffset)
void | URIDefined (const QString &URI)
Signals inherited from Tp::AbstractInterface
void | propertiesChanged (const QVariantMap &changedProperties, const QStringList &invalidatedProperties)

## Public Member Functions

| ChannelTypeFileTransferInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
| ChannelTypeFileTransferInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
| ChannelTypeFileTransferInterface (Tp::DBusProxy *proxy)
| ChannelTypeFileTransferInterface (const Tp::Client::ChannelInterface &mainInterface)
| ChannelTypeFileTransferInterface (const Tp::Client::ChannelInterface &mainInterface, QObject *parent)
Tp::PendingVariant * | requestPropertyState () const
Tp::PendingVariant * | requestPropertyContentType () const
Tp::PendingVariant * | requestPropertyFilename () const
Tp::PendingVariant * | requestPropertySize () const
Tp::PendingVariant * | requestPropertyContentHashType () const
Tp::PendingVariant * | requestPropertyContentHash () const
Tp::PendingVariant * | requestPropertyDescription () const
Tp::PendingVariant * | requestPropertyDate () const
Tp::PendingVariant * | requestPropertyAvailableSocketTypes () const
Tp::PendingVariant * | requestPropertyTransferredBytes () const
Tp::PendingVariant * | requestPropertyInitialOffset () const
Tp::PendingVariant * | requestPropertyURI () const
Tp::PendingOperation * | setPropertyURI (QString newValue)
Tp::PendingVariant * | requestPropertyFileCollection () const
Tp::PendingVariantMap * | requestAllProperties () const
Public Member Functions inherited from Tp::AbstractInterface
virtual | ~AbstractInterface ()
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
void | setMonitorProperties (bool monitorProperties)
bool | isMonitoringProperties () const
Public Member Functions inherited from QDBusAbstractInterface
virtual | ~QDBusAbstractInterface ()
bool | isValid () const
QDBusConnection | connection () const
QString | service () const
QString | path () const
QString | interface () const
QDBusError | lastError () const
void | setTimeout (int timeout)
int | timeout () const
QDBusMessage | call (const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusMessage | call (QDBus::CallMode mode, const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusMessage | callWithArgumentList (QDBus::CallMode mode, const QString &method, const QList< QVariant > &args)
bool | callWithCallback (const QString &method, const QList< QVariant > &args, QObject *receiver, const char *returnMethod, const char *errorMethod)
bool | callWithCallback (const QString &method, const QList< QVariant > &args, QObject *receiver, const char *slot)
QDBusPendingCall | asyncCall (const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusPendingCall | asyncCallWithArgumentList (const QString &method, const QList< QVariant > &args)
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)

## Static Public Member Functions

static QLatin1String | staticInterfaceName ()
Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)

## Protected Member Functions

virtual void | invalidate (Tp::DBusProxy *, const QString &, const QString &)
Protected Member Functions inherited from Tp::AbstractInterface
| AbstractInterface (DBusProxy *proxy, const QLatin1String &interface)
| AbstractInterface (const QString &busName, const QString &path, const QLatin1String &interface, const QDBusConnection &connection, QObject *parent)
PendingVariant * | internalRequestProperty (const QString &name) const
PendingOperation * | internalSetProperty (const QString &name, const QVariant &newValue)
PendingVariantMap * | internalRequestAllProperties () const
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)

## Additional Inherited Members

Protected Slots inherited from Tp::AbstractInterface
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Type.FileTransfer".

## Constructor & Destructor Documentation

Tp::Client::ChannelTypeFileTransferInterface::ChannelTypeFileTransferInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ChannelTypeFileTransferInterface associated with the given object on the session bus.

Parameters

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ChannelTypeFileTransferInterface::ChannelTypeFileTransferInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ChannelTypeFileTransferInterface associated with the given object on the given bus.

Parameters

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ChannelTypeFileTransferInterface::ChannelTypeFileTransferInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ChannelTypeFileTransferInterface associated with the same object as the given proxy.

Parameters

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::ChannelTypeFileTransferInterface::ChannelTypeFileTransferInterface | ( | const Tp::Client::ChannelInterface & | mainInterface | ) |

explicit

Creates a ChannelTypeFileTransferInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters

  mainInterface | The proxy to use.

Tp::Client::ChannelTypeFileTransferInterface::ChannelTypeFileTransferInterface | ( | const Tp::Client::ChannelInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a ChannelTypeFileTransferInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::ChannelTypeFileTransferInterface::staticInterfaceName | ( |  | ) |

inline static

Returns the name of the interface "org.freedesktop.Telepathy.Channel.Type.FileTransfer", which this class represents.

Returns
  The D-Bus interface name.

Tp::PendingVariant* Tp::Client::ChannelTypeFileTransferInterface::requestPropertyState | ( |  | ) | const

inline

Asynchronous getter for the remote object property `State` of type `uint`.

The state of the file transfer as described by the File_Transfer_State enum.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::ChannelTypeFileTransferInterface::requestPropertyContentType | ( |  | ) | const

inline

Asynchronous getter for the remote object property `ContentType` of type `QString`.

The file's MIME type. This cannot change once the channel has been created.

This property is mandatory when requesting the channel with the ConnectionInterfaceRequestsInterface::CreateChannel() method. Protocols which do not have a content-type property with file transfers should set this value to application/octet-stream.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::ChannelTypeFileTransferInterface::requestPropertyFilename | ( |  | ) | const

inline

Asynchronous getter for the remote object property `Filename` of type `QString`.

The name of the file on the sender's side. This is therefore given as a suggested filename for the receiver. This cannot change once the channel has been created.

This property should be the basename of the file being sent. For example, if the sender sends the file /home/user/monkey.pdf then this property should be set to monkey.pdf.

This property is mandatory when requesting the channel with the ConnectionInterfaceRequestsInterface::CreateChannel() method. This property cannot be empty and MUST be set to a sensible value.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::ChannelTypeFileTransferInterface::requestPropertySize | ( |  | ) | const

inline

Asynchronous getter for the remote object property `Size` of type `qulonglong`.

The size of the file. If this property is set, then the file transfer is guaranteed to be this size. This cannot change once the channel has been created.

When you are creating a channel with this property, its value MUST be accurate and in bytes. However, when receiving a file, this property still MUST be in bytes but might not be entirely accurate to the byte.

This property is mandatory when requesting the channel with the ConnectionInterfaceRequestsInterface::CreateChannel() method. If this information isn't provided in the protocol, connection managers MUST set it to UINT64_MAX.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::ChannelTypeFileTransferInterface::requestPropertyContentHashType | ( |  | ) | const

inline

Asynchronous getter for the remote object property `ContentHashType` of type `uint`.

The type of the ContentHash property.

This property is optional when requesting the channel with the ConnectionInterfaceRequestsInterface::CreateChannel() method. However, if you wish to include the ContentHash property you MUST also include this property. If you omit this property from a ConnectionInterfaceRequestsInterface::CreateChannel() method call then its value will be assumed to be File_Hash_Type_None.

For each supported hash type, implementations SHOULD include an entry in ConnectionInterfaceRequestsInterface::RequestableChannelClasses with this property fixed to that hash type. If the protocol supports offering a file without a content hash, implementations SHOULD list this property in Allowed in a requestable channel class, mapping hash types they don't understand to None.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::ChannelTypeFileTransferInterface::requestPropertyContentHash | ( |  | ) | const

inline

Asynchronous getter for the remote object property `ContentHash` of type `QString`.

Hash of the contents of the file transfer, of type described in the value of the ContentHashType property.

This property is optional when requesting the channel with the ConnectionInterfaceRequestsInterface::CreateChannel() method. Its value MUST correspond to the appropriate type of the ContentHashType property. If the ContentHashType property is not set, or set to File_Hash_Type_None, then this property will not even be looked at.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::ChannelTypeFileTransferInterface::requestPropertyDescription | ( |  | ) | const

inline

Asynchronous getter for the remote object property `Description` of type `QString`.

Description of the file transfer. This cannot change once the channel has been created.

This property is optional when requesting the channel with the ConnectionInterfaceRequestsInterface::CreateChannel() method. If this property was not provided by the remote party, connection managers MUST set it to the empty string.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::ChannelTypeFileTransferInterface::requestPropertyDate | ( |  | ) | const

inline

Asynchronous getter for the remote object property `Date` of type `qlonglong`.

The last modification time of the file being transferred. This cannot change once the channel has been created

This property is optional when requesting the channel with the ConnectionInterfaceRequestsInterface::CreateChannel() method.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::ChannelTypeFileTransferInterface::requestPropertyAvailableSocketTypes | ( |  | ) | const

inline

Asynchronous getter for the remote object property `AvailableSocketTypes` of type `Tp::SupportedSocketMap`.

A mapping from address types (members of Socket_Address_Type) to arrays of access-control type (members of Socket_Access_Control) that the connection manager supports for sockets with that address type. For simplicity, if a CM supports offering a particular type of file transfer, it is assumed to support accepting it. Connection Managers MUST support at least Socket_Address_Type_IPv4.

A typical value for a host without IPv6 support:

      {
        Socket_Address_Type_IPv4:
          [Socket_Access_Control_Localhost, Socket_Access_Control_Port,
           Socket_Access_Control_Netmask],
        Socket_Address_Type_Unix:
          [Socket_Access_Control_Localhost, Socket_Access_Control_Credentials]
      }

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::ChannelTypeFileTransferInterface::requestPropertyTransferredBytes | ( |  | ) | const

inline

Asynchronous getter for the remote object property `TransferredBytes` of type `qulonglong`.

The number of bytes that have been transferred at the time of requesting the property. This will be updated as the file transfer continues.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::ChannelTypeFileTransferInterface::requestPropertyInitialOffset | ( |  | ) | const

inline

Asynchronous getter for the remote object property `InitialOffset` of type `qulonglong`.

The offset in bytes from where the file should be sent. This MUST be respected by both the receiver and the sender after the state becomes Open, but before any data is sent or received. Until the InitialOffsetDefined() signal is emitted, this property is undefined.

Before setting the State property to Open, the connection manager MUST set the InitialOffset property, possibly to 0.

This property MUST NOT change after the state of the transfer has changed to Open.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::ChannelTypeFileTransferInterface::requestPropertyURI | ( |  | ) | const

inline

Asynchronous getter for the remote object property `URI` of type `QString`.

For outgoing file transfers, this requestable property allows the channel requester to inform observers (and the handler, if it is not the requester itself) of the URI of the file being transferred. Note that the connection manager SHOULD NOT read this file directly; the handler streams the file into the CM through the socket negotiated using ProvideFile() .

On outgoing file transfers, this property MUST NOT change after the channel is requested.

For incoming file transfers, this property MAY be set by the channel handler before calling AcceptFile() to inform observers where the incoming file will be saved. If set by an approver, the handler MUST save the file to that location. Setting this property once AcceptFile() has been called MUST fail. Once this property has been set URIDefined() is emitted.

If set, this URI SHOULD generally point to a file on the local system, as defined by RFC 1738 §3.10; that is, it should be of the form `file:///path/to/file` or `file://localhost/path/to/file`. For outgoing files, this URI MAY use a different scheme, such as `http:`, if a remote resource is being transferred to a contact.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingOperation* Tp::Client::ChannelTypeFileTransferInterface::setPropertyURI | ( | QString | newValue | ) |

inline

Asynchronous setter for the remote object property `URI` of type `QString`.

For outgoing file transfers, this requestable property allows the channel requester to inform observers (and the handler, if it is not the requester itself) of the URI of the file being transferred. Note that the connection manager SHOULD NOT read this file directly; the handler streams the file into the CM through the socket negotiated using ProvideFile() .

On outgoing file transfers, this property MUST NOT change after the channel is requested.

For incoming file transfers, this property MAY be set by the channel handler before calling AcceptFile() to inform observers where the incoming file will be saved. If set by an approver, the handler MUST save the file to that location. Setting this property once AcceptFile() has been called MUST fail. Once this property has been set URIDefined() is emitted.

If set, this URI SHOULD generally point to a file on the local system, as defined by RFC 1738 §3.10; that is, it should be of the form `file:///path/to/file` or `file://localhost/path/to/file`. For outgoing files, this URI MAY use a different scheme, such as `http:`, if a remote resource is being transferred to a contact.

Returns
  A pending operation which will emit finished when the property has been set.

Tp::PendingVariant* Tp::Client::ChannelTypeFileTransferInterface::requestPropertyFileCollection | ( |  | ) | const

inline

Asynchronous getter for the remote object property `FileCollection` of type `QString`.

The collection of files to which this channel belongs, or the empty string if this channel does not belong to a collection of files.

A channel's FileCollection property can never change.

At least on GTalk and apparently also on iChat the user can send a set of files to a contact and that contact can then pick and choose which files to actually receive.

The CM should emit all new FT channels belonging to one collection at the same time. UIs supporting this feature can then bundle all these channels together in some way, and show a nice UI. UIs not supporting it will treat them as separate transfers, which is not great but a reasonable fallback.

No mechanism is currently defined to indicate whether the UI should expect any more files in the same collection. UIs SHOULD assume that more file transfers may be added to a collection. It is possible that a "no more channels in this collection" indication will be added in a future version of this specification.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariantMap* Tp::Client::ChannelTypeFileTransferInterface::requestAllProperties | ( |  | ) | const

inline

Request all of the DBus properties on the interface.

Returns
  A pending variant map which will emit finished when the properties have been retrieved.

QDBusPendingReply<QDBusVariant> Tp::Client::ChannelTypeFileTransferInterface::AcceptFile | ( | uint | addressType,
|  | uint | accessControl,
|  | const QDBusVariant & | accessControlParam,
|  | qulonglong | offset,
|  | int | timeout = `-1`
| ) |  |

inline slot

Begins a call to the D-Bus method `AcceptFile` on the remote object.

Accept a file transfer that's in the Pending state. The file transfer's state becomes Accepted after this method is called. At this point the client can connect to the socket. CM MUST emit InitialOffsetDefined and change the state to Open before writing to the socket. Then InitialOffset should be respected in case its value differs from the offset that was specified as an argument to AcceptFile.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  addressType

      The type of address the connection manager should listen on.

  accessControl

      The type of access control the connection manager should apply to
      the socket.

  accessControlParam

      A parameter for the access control type, to be interpreted as
      specified in the documentation for the Socket_Access_Control enum.

  offset

      The desired offset in bytes where the file transfer should start.
      The offset is taken from the beginning of the file. Specifying an
      offset of zero will start the transfer from the beginning of the
      file. The offset that is actually given in the InitialOffset
      property can differ from this argument where the requested offset
      is not supported. (For example, some protocols do not support
      offsets at all so the InitialOffset property will always be 0.)

  timeout | The timeout in milliseconds.

Returns

      The address on which the connection manager will listen for
      connections for this file transfer.

QDBusPendingReply<QDBusVariant> Tp::Client::ChannelTypeFileTransferInterface::ProvideFile | ( | uint | addressType,
|  | uint | accessControl,
|  | const QDBusVariant & | accessControlParam,
|  | int | timeout = `-1`
| ) |  |

inline slot

Begins a call to the D-Bus method `ProvideFile` on the remote object.

Provide the file for an outgoing file transfer which has been offered. Opens a socket that the client can use to provide a file to the connection manager. The channel MUST have been requested, and will change state to Open when this method is called if its state was Accepted.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  addressType

      The type of address the connection manager should listen on.

  accessControl

      The type of access control the connection manager should apply to
      the socket.

  accessControlParam

      A parameter for the access control type, to be interpreted as
      specified in the documentation for the Socket_Access_Control enum.

  timeout | The timeout in milliseconds.

Returns

      The address on which the connection manager will listen for
      connections for this file transfer.

void Tp::Client::ChannelTypeFileTransferInterface::FileTransferStateChanged | ( | uint | state,
|  | uint | reason
| ) |  |

signal

Represents the signal `FileTransferStateChanged` on the remote object.

Emitted when the state of a file transfer changes.

Parameters

  state

      The new state of the file transfer; see the File_Transfer_State
      enumeration.

  reason

      The reason for the state change; see the
      File_Transfer_State_Change_Reason enumeration. The value will
      always be File_Transfer_State_Change_Reason_None, except when
      changing state to cancelled.

void Tp::Client::ChannelTypeFileTransferInterface::TransferredBytesChanged | ( | qulonglong | count | ) |

signal

Represents the signal `TransferredBytesChanged` on the remote object.

Emitted when the number of transferred bytes changes. This will not be signalled with every single byte change. Instead, the most frequent this signal will be emitted is once a second. This should be sufficient, and the TransferredBytes property SHOULD NOT be polled.

Parameters

  count

      The number of already transferred bytes.

void Tp::Client::ChannelTypeFileTransferInterface::InitialOffsetDefined | ( | qulonglong | initialOffset | ) |

signal

Represents the signal `InitialOffsetDefined` on the remote object.

Emitted when the value of the InitialOffset property has been negotiated. This signal MUST be emitted before the channel becomes Open and clients have to use this offset when transferring the file.

Parameters

  initialOffset

      The value of the InitialOffset property.

void Tp::Client::ChannelTypeFileTransferInterface::URIDefined | ( | const QString & | URI | ) |

signal

Represents the signal `URIDefined` on the remote object.

Emitted when the value of the URI property has been set. This signal MUST only be emitted on incoming file transfers, and only if the handler sets the URI property before accepting the file.

Parameters

  URI

      The value of the URI property.

void Tp::Client::ChannelTypeFileTransferInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  |

protected virtual

Reimplemented from Tp::AbstractInterface.